> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topmediai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voice List

> Gets a list of all available voices for us.



## OpenAPI

````yaml https://api.topmediai.com/topmediai_api.json get /v1/voices_list
openapi: 3.1.0
info:
  title: Topmediai API Documentation
  description: >-
    This is the documentation for the Topmediai API. You can use this API to use
    our service programmatically, this is done by using your x-api-key. You can
    get your x-api-key by request our Get API Key Web page on
    https://www.topmediai.com/api/text-to-speech-api/. Our API is experimental
    so all endpoints are subject to change.
  version: 1.0.0
servers:
  - url: https://api.topmediai.com
security: []
paths:
  /v1/voices_list:
    get:
      tags:
        - Text-to-Speech
      summary: Get Voice List
      description: Gets a list of all available voices for us.
      operationId: get_voice_list_v1_voices_list_get
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIVoicesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    APIVoicesResponse:
      properties:
        Voice:
          items:
            $ref: '#/components/schemas/VoiceSchemas'
          type: array
          title: Voice
          exclude_defaults: true
          exclude_none: true
          exclude_unset: true
      type: object
      title: APIVoicesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VoiceSchemas:
      properties:
        Languagename:
          type: string
          title: Languagename
          description: voice's language
        classification:
          anyOf:
            - type: string
            - type: 'null'
          title: Classification
          exclude_unset: true
        classnamearray:
          anyOf:
            - type: string
            - type: 'null'
          title: Classnamearray
          example: Daily;Male;Neutral
          exclude_unset: true
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          exclude_unset: true
        plan:
          type: integer
          title: Plan
        speaker:
          type: string
          title: Speaker
          example: 00151554-3826-11ee-a861-00163e2ac61b
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          exclude_unset: true
        typeishot:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Typeishot
          exclude_unset: true
        urlname:
          anyOf:
            - type: string
            - type: 'null'
          title: Urlname
          exclude_unset: true
        trending:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Trending
          exclude_unset: true
        describe:
          anyOf:
            - type: string
            - type: 'null'
          title: Describe
          exclude_unset: true
        modeltoken:
          anyOf:
            - type: string
            - type: 'null'
          title: Modeltoken
          exclude_unset: true
        voiceisnew:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Voiceisnew
          exclude_unset: true
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
          exclude_defaults: true
          exclude_none: true
          exclude_unset: true
        isvip:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isvip
        isFree:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isfree
        urllist:
          anyOf:
            - type: string
            - type: 'null'
          title: Urllist
          exclude_defaults: true
          exclude_none: true
          exclude_unset: true
      type: object
      required:
        - Languagename
        - plan
        - speaker
      title: VoiceSchemas
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````